PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
attrd_updater -n <attribute> <command> [options]

DESCRIPTION
attrd_updater - query and update Pacemaker node attributes

OPTIONS

-?, --help
    This text

-$, --version
    Version information

-V, --verbose
    Increase debug output

-n, --name=value
    The attribute's name

  Commands:

-U, --update=value
    Update attribute's value in pacemaker-attrd. If this causes the value to change, it will also be updated in the cluster configuration.

-B, --update-both=value
    Update attribute's value and time to wait (dampening) in pacemaker-attrd. If this causes the value or dampening to change, the attribute will also be written to the cluster configuration, so be aware that repeatedly changing the dampening reduces its effectiveness.

-Y, --update-delay
    Update attribute's dampening in pacemaker-attrd (requires -d/--delay). If this causes the dampening to change, the attribute will also be written to the cluster configuration, so be aware that repeatedly changing the dampening reduces its effectiveness.

-Q, --query
    Query the attribute's value from pacemaker-attrd

-D, --delete
    Delete attribute from pacemaker-attrd. If a value was previously set, it will also be removed from the cluster configuration

-R, --refresh
    (Advanced) Force the pacemaker-attrd daemon to resend all current values to the CIB

  Additional options:

-d, --delay=value
    The time to wait (dampening) in seconds for further changes before writing

-s, --set=value
    (Advanced) The attribute set in which to place the value

-N, --node=value
    Set the attribute for the named node (instead of the local one)

-A, --all
    Show values of the attribute for all nodes (query only)

-l, --lifetime=value
    (Not yet implemented) Lifetime of the node attribute (silently ignored by cluster)

-p, --private
    If this creates a new attribute, never write the attribute to CIB

AUTHOR
Written by Andrew Beekhof

REPORTING BUGS
Report bugs to users@clusterlabs.org